Bug 592571 - KMS:RV280:Radeon 9200 X-Plane 9 crashes
KMS:RV280:Radeon 9200 X-Plane 9 crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-15 09:05 EDT by enrico.gottardo
Modified: 2010-12-03 09:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:41:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (240 bytes, application/octet-stream)
2010-05-15 09:05 EDT, enrico.gottardo
no flags Details

  None (edit)
Description enrico.gottardo 2010-05-15 09:05:43 EDT
Created attachment 414247 [details]
dmesg output

Description of problem:
The ATI video driver does not support X-Plane 9 simulator by Laminar Research. Launching the application from the console provides the following output:

[enrico@localhost ~]$ /opt/X-Plane\ 9/X-Plane-i686 
Looking for OpenAL here: libopenal.so
Looking for OpenAL here: libopenal.so.1
Starting thread loader.
IO_Scene of 46,10 (async=0) as 0x0eb921d0
IO_Scene of 46,11 (async=0) as 0x107d00b0
IO_Scene of 46,12 (async=0) as 0x163ff2c0
IO_Scene of 47,10 (async=0) as 0x1153f7c0
IO_Scene of 47,11 (async=0) as 0x10e4dba8
IO_Scene of 47,12 (async=0) as 0x1a6d7498
Kicking off async tex load.
drmRadeonCmdBuffer: -22. Kernel failed to parse or rejected command stream. See dmesg for more info.
AL lib: ALc.c:1879: exit(): closing 1 Device
AL lib: ALc.c:1808: alcCloseDevice(): destroying 1 Context(s)
AL lib: ALc.c:1420: alcDestroyContext(): deleting 163 Source(s)
AL lib: ALc.c:1818: alcCloseDevice(): deleting 163 Buffer(s)


Version-Release number of selected component (if applicable):
I'm running:
- kernel.x86_64                          2.6.32.11-99.fc12
- xorg-x11-drv-ati.x86_64                6.13.0-0.21.20100219gite68d3a389.fc12
- xorg-x11-drv-ati-firmware.x86_64       6.13.0-0.21.20100219gite68d3a389.fc12

How reproducible:
Install and launch X-Plane 9

Steps to Reproduce:
1. launch the simulator by the command line
2.
3.
  
Actual results:
The application starts loading its components (e.g. scenery files, bitmaps), then crashes

Expected results:
To complete components loading, then to start the simulator

Additional info:
My video card is an ATI Radeon 9200
Comment 1 Vedran Miletić 2010-05-24 15:54:21 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 2 enrico.gottardo 2010-07-29 02:07:21 EDT
The bug persists with:
- kernel.x86_64                2.6.33.6-147.fc13
- xorg-x11-drv-ati.x86_64      6.13.0-1.fc13
Comment 3 Bug Zapper 2010-11-03 10:50:33 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:41:15 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.